<?php
  // Setup the system
  

  require "atk/class.atknode.inc";
  include "theme.inc";
  // Global initialisation first.

  // php4.0.4pl1 form bug workaround:
  $atknodetype = ltrim($atknodetype);
  
  require "class.".$atknodetype.".inc";
  $obj = new $atknodetype();

  if (count($HTTP_GET_VARS)>0)
  {
    $obj->dispatch($HTTP_GET_VARS);
  }
  else
  {
    $obj->dispatch($HTTP_POST_VARS);
  }

  $g_layout->outputFlush();

?>
